// Fill out your copyright notice in the Description page of Project Settings.

#include "TankAIController.h"
#include "Tank.h"
#include "Engine/World.h"
#include "GameFramework/PlayerController.h"


void  ATankAIController::BeginPlay()
{
	Super::BeginPlay();
}
void  ATankAIController::Tick(float DeltaTime){
	Super::Tick(DeltaTime);
	auto PossessedTank = GetControlledTank()->GetName();
	if (GetControlledTank()) {
		//UE_LOG(LogTemp, Error, TEXT("The Tank Name is %s"), *PossessedTank);
		GetControlledTank()->AimingAt(GetPlayerTank()->GetActorLocation());
	}
}


ATank* ATankAIController::GetControlledTank() const 
{
	return Cast<ATank>(GetPawn());
}

ATank * ATankAIController::GetPlayerTank() const
{
	auto PlayerPawn = GetWorld()->GetFirstPlayerController()->GetPawn();
	if (!PlayerPawn) { return nullptr; }
	return Cast<ATank>(PlayerPawn);
}
